range1=0;
range2=T;

T_ms=SECS*1000;

h=figure;
screen_size=get(0,'ScreenSize');
screen_size(1:2)=screen_size(3:4)*1/10;
screen_size(3:4)=[1600  1000];
set(h,'Position',screen_size)

subplot(4,1,1)
imagesc([input.activity{1}, input.activity{2}, input.activity{3}, input.activity{4}]')
xlim([range1 range2])
set(gca, 'XTick', 0:T/10:T, 'XTickLabel', 0:T_ms/10:T_ms)
xlabel ('Milliseconds', 'FontSize', 14)
title('INPUT', 'FontSize', 18)

subplot(4,1,3)
imagesc([layer1.activity{1}, layer1.activity{2}, layer1.activity{3}, layer1.activity{4}]')
%imagesc([layer1.potential{1}, layer1.potential{2}, layer1.potential{3}, layer1.potential{4}]')
colormap(gray)
xlim([range1 range2])
set(gca, 'XTick', 0:T/10:T, 'XTickLabel', 0:T_ms/10:T_ms)
xlabel ('Milliseconds', 'FontSize', 14)
title('Layer1', 'FontSize', 18)


%average for cluster
for ind=10:length(layer1.activity{1}(:,1))
    for cli=1:n_clust_inp
    inp_cl(cli,ind)=mean(sum(input.activity{cli}(ind-9:ind,:)));    
    end
end
for ind=10:length(layer1.activity{1}(:,1))
    for cli=1:n_clust_layers
    avg_l1(cli,ind)=mean(sum(layer1.activity{cli}(ind-9:ind,:)));
    end
end


subplot(4,1,2)
plot(inp_cl')
axis([range1 range2 0 45])
set(gca, 'XTick', 0:T/10:T, 'XTickLabel', 0:T_ms/10:T_ms)
title('Input (average for 5 milliseconds)', 'FontSize', 18)
xlabel ('Milliseconds', 'FontSize', 14)

subplot(4,1,4)
plot(avg_l1')
axis([range1 range2 0 45])
set(gca, 'XTick', 0:T/10:T, 'XTickLabel', 0:T_ms/10:T_ms)
title('Cluster activity (average for 5 milliseconds)', 'FontSize', 18)
xlabel ('Milliseconds', 'FontSize', 14)




